CURLOPT_SOCKS5_GSSAPI_NEC(3)

NAME
CURLOPT_SOCKS5_GSSAPI_NEC - set socks proxy gssapi negotiation protection

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_SOCKS5_GSSAPI_NEC, long nec);

DESCRIPTION
Pass a long set to 1 to enable or 0 to disable. As part of the gssapi negotiation a protection mode is negotiated. The RFC1961 says in section 4.3/4.4 it should be protected, but the NEC reference implementation does not. If enabled, this option allows the unprotected exchange of the protection mode negotiation.

DEFAULT
?

PROTOCOLS
Most

EXAMPLE
TODO

AVAILABILITY
Added in 7.19.4

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_SOCKS5_GSSAPI_SERVICE(3), CURLOPT_PROXY(3),